import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CodedeployAppConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly computePlatform?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class CodedeployApp extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CodedeployAppConfig);
    /**
     * @stability stable
     */
    get applicationId(): string;
    /**
     * @stability stable
     */
    get arn(): string;
    private _computePlatform?;
    /**
     * @stability stable
     */
    get computePlatform(): string;
    /**
     * @stability stable
     */
    set computePlatform(value: string);
    /**
     * @stability stable
     */
    resetComputePlatform(): void;
    /**
     * @stability stable
     */
    get computePlatformInput(): string | undefined;
    /**
     * @stability stable
     */
    get githubAccountName(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get linkedToGithub(): boolean;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
